> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/graphics/animation/flatredball-graphics-animationchain/flatredball-graphics-animation-animationchainlist-clone.md).

# Clone

### Introduction

The Clone method can be used to make a copy of the AnimationChainList. This method is useful if your game needs to make copies of AnimationChainLists loaded from file. This is the case if the AnimationChainLists use the same texture coordinates, but simply use different Textures (such as different animation chains for characters in a game).

### Code Example

The following code example assumes that OriginalAnimationChainList is a valid AnimationChainList.

```
 AnimationChainList copyOfOriginal = OriginalAnimationChainList.Clone();
 copyOfOriginal.Name = OriginalAnimationChainList.Name + "Copy";
 // Adding it to the content manager allows us to get a reference to this later if necessary
 // This is not necessary, it just makes referencing by name easier:
 FlatRedBallServices.AddDisposable(copyOfOriginal.Name, copyOfOriginal, ContentManagerName);
```

For more information see the [AddDisposable page](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/graphics/animation/flatredball-graphics-animationchain/flatredball-graphics-animation-animationchainlist-clone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
